/* $Id: SetLinkSourceAction.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.drawing_tool.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.connection.ConnectionCreator;
import smart_gs.reasoning_web.logical.GS_RWElement;

public class SetLinkSourceAction implements ActionListener{
	
	private GS_RWElement source;
	
	public SetLinkSourceAction(GS_RWElement source){
		this.source = source;
	}
	
	public void actionPerformed(ActionEvent e) {
		ConnectionCreator.setSource(source);
	}
	
	
}
